Subject: RE: imparting clues to the IETF

From: "Gopal Iyengar" <[email-masked]>
Date: Wed, 1 Sep 1999 14:07:13 -0400

Pete,
        I read your report on IETF specifications. I have 2 comments:

1) I do not think there are any specific documents called STDs. STDs are
only a numbering schemes for standards that point to a group (one or more)
of RFCs. (This numbering scheme is documented in one RFC, I think). I am
sure you know this, but the text in your document perhaps can give wrong
impression to the uninitiated reader.

2) You refer to all IETF standards as "Standard Protocols". Isn't there IETF
Standards that are not Protocols?  I think the word 'Protocol' is over used
in IETF. Hence I have heard many people say IETF only does protocols, they
invent new protocol for every application, without regard to an
architectural solution or reuse of protocols. I am not sure if the word
'Protocol' as used by IETF defined any place.

Regards,
Gopal Iyengar

> -----Original Message-----
> From:	Pete Loshin [SMTP:[email-masked]]
> Sent:	Tuesday, August 31, 1999 5:55 PM
> To:	[email-masked]
> Subject:	imparting clues to the IETF
> 
> I know that many of you are probably tired of seeing this discussion go
> on.
> However, I thought adding some data to the overwhelming body of opinions
> might bring us to a better understanding of the "problem."
> 
> So far, I've had (only!) two reports of erroneous reporting, both relating
> to the IPP situation. Doing a little bit of investigation, I discovered
> that Microsoft's press release:
> 
> http://www.microsoft.com/PressPass/press/1999/aug99/HPfunctionPR.htm
> 
> was corrected and posted with a date of 8/27 (as someone reported
> earlier);
> checking HP's website, I discovered a press release dated 8/19:
> 
> http://www.hp.com/pressrel/aug98/19aug98a.htm
> 
> describing the situation slightly more correctly, but still misidentifying
> the working group as a consortium and the i-d as being submitted as a
> standard.
> 
> I also uncovered several other instances of the "incorrect" version of the
> Microsoft press release replicated in other articles online. Some of these
> were simply the same article, propagated through content-sharing deals
> (e.g., IDG news service). Others were clearly written from the same press
> release/PR contact, and describe the working group as an industry
> consortium and the specification as an Internet standard. I'd suggest that
> the "blame" for the IPP situation should be laid at Microsoft's feet,
> along
> with Waggener-Edstrom, their PR agency.
> 
> Here are some more facts (as opposed to opinions based on stereotypes and
> unfounded suspicions):
> 
> I did some informal research, consisting of doing a search for
> "IETF+standard" on the IDG.net website and then checking the first 30 or
> so
> articles for accuracy. Most of the articles reported on IETF standards and
> drafts reasonably accurately. In fact, some of the articles quoted at
> least
> one of the participants in this discussion (including someone who has been
> complaining about inaccuracy), in some cases going on at length and great
> detail about the IETF standards process. Was this the result of someone
> following up on "inaccurate reporting"? Or was it simply "accurate
> reporting" the first time around? I can not answer that question.
> 
> - Microsoft was involved in several stories where there was
> misrepresentation; sometimes, these included instances of Microsoft
> product
> managers making inaccurate statements about IETF processes.
> 
> - In some other cases where the report was inaccurate, the reporting would
> have been corrected if the word "standard" had been replaced by
> "specification."
> 
> I'm not going to bother trying to repeat this experiment with other trade
> publishers, though I would suggest that those people who are convinced
> that
> journalists "never get it right" and are "incapable of getting it" should
> try it with ZDnet and CMP, and whatever other services they like. I
> suspect
> that, with some minor variations, the results will be roughly equivalent
> because editors often move from one publisher to another, as do
> freelancers.
> 
> Again, I invite the participants to report to me, off-list, any examples
> of
> magazine or other articles where the IETF process was misrepresented. I'm
> particularly interested in ongoing "cluelessness" rather than more
> examples
> of reports about IPP.
> 
> Finally, I'd appreciate any comments or suggestions regarding my report on
> IETF specifications at http://www.loshin.com/standards.html; if you think
> it's useful, by all means pass it along to anyone who needs the
> information.
> 
> -pl
> 
> 
> 
> +-------------------------------------------------------------+
> | Pete Loshin                           http://www.loshin.com |
> |                                                             |
> | _IPv6 Clearly Explained_ Morgan Kaufmann January 1999       |
> | _TCP/IP Clearly Explained_ 3rd ed Morgan Kaufmann June 1999 |
> |                                                             |
> +-------------------------------------------------------------+
>

---

From: "Gopal Iyengar" <[email-masked]>
Date: Wed, 1 Sep 1999 14:07:13 -0400

Pete,

Regards,
Gopal Iyengar